/* Swiper 轮播切换按钮 */
.swiper-button-custom{
    width: 2.75rem;
    height: 2.75rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #c40d23;
    border-radius: 1.375rem;
    user-select: none;
}
.swiper-button-disabled{
    opacity: 1!important;
    background-color: #ffffff!important;
}
.swiper-button-custom:after{
    display: none;
    content: '';
}
.swiper-button-custom .swiper-button-icon{
    width: 1.25rem;
    height: 1.25rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.swiper-button-custom .swiper-button-icon-img{
    width: 1.25rem;
    height: 1.25rem;
    object-fit: contain;
}
.swiper-button-custom .swiper-button-icon-img:first-of-type{
    display: block;
}
.swiper-button-custom .swiper-button-icon-img:last-of-type{
    display: none;
}
.swiper-button-disabled .swiper-button-icon-img:first-of-type{
    display: none;
}
.swiper-button-disabled .swiper-button-icon-img:last-of-type{
    display: block;
}

/* 右侧侧边栏 */
.right-sidebar-container{
    position: fixed;
    right: 2.5rem;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 999;
}
.right-sidebar-container-wrap{
    width: 100%;
}
.right-sidebar-actions{
    width: calc(4rem - 2.25rem);
    padding: 1.5625rem 1.125rem;
    background-color: #c40d23;
    border-radius: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.625rem;
}
.right-sidebar-action{
    width: 1.75rem;
    height: 1.75rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 1.5625rem;
    opacity: 0.5;
}
.right-sidebar-action:last-of-type{
    margin-bottom: 0;
}
.right-sidebar-action-active, .right-sidebar-action:hover{
    opacity: 1;
}
.right-sidebar-action-icon{
    width: 1.75rem;
    height: 1.75rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.right-sidebar-action-icon-img{
    width: 1.75rem;
    height: 1.75rem;
    object-fit: contain;
}
.right-sidebar-fixed-actions{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.right-sidebar-fixed-action{
    height: 4rem;
    width: 4rem;
    border-radius: 2rem;
    background-color: #c40d23;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.625rem;
}
.right-sidebar-fixed-action:last-of-type{
    margin-bottom: 0;
}
.right-sidebar-fixed-action-active, .right-sidebar-fixed-action:hover{
    opacity: 0.7;
}
.right-sidebar-fixed-action-icon{
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.right-sidebar-fixed-action-icon-img{
    width: 1.5rem;
    height: 1.5rem;
    object-fit: contain;
}
.right-sidebar-fixed-action-whatsapp{
    background-color: #3ac34c;
}
.right-sidebar-fixed-action-whatsapp .right-sidebar-fixed-action-icon{
    width: 1.875rem;
    height: 1.875rem;
}
.right-sidebar-fixed-action-whatsapp .right-sidebar-fixed-action-icon-img{
    width: 1.875rem;
    height: 1.875rem;
}

/* 语言切换器 */
.civro-language-switcher-container{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.7);
    z-index: 1000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.civro-language-switcher-content{
    width: calc(27.5rem - 12.25rem);
    padding: 3.75rem 6.125rem;
    border-radius: 1.25rem;
    position: relative;
    background-color: #ffffff;
}
.civro-language-switcher-btn{
    width: 2.375rem;
    height: 2.375rem;
    border-radius: 1.1875rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: #c40d23;
    position: absolute;
    right: 1.875rem;
    top: 1.875rem;
}
.civro-language-switcher-btn-icon{
    width: 0.8125rem;
    height: 0.8125rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.civro-language-switcher-btn-icon-img{
    width: 0.8125rem;
    height: 0.8125rem;
    object-fit: contain;
}
.civro-language-switcher-header{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.civro-language-switcher-header-logo{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.civro-language-switcher-header-logo-img{
    width: max-content;
    max-width: 100%;
    object-fit: contain;
}
.civro-language-switcher-header-title{
    width: 100%;
    padding-top: 1.875rem;
    text-align: center;
    font-size: 1.125rem;
    font-weight: 400;

    color: #444444;
}
.civro-language-switcher-language-list{
    width: 100%;
    padding-top: 1.875rem;
}
.civro-language-switcher-language{
    width: calc(100% - 0.125rem - 6.25rem);
    padding: 0 3.125rem;
    height: 3.625rem;
    border: #cdcdcd solid 1px;
    border-radius: 1.875rem;
    display: flex;
    flex-direction: row;
    /*justify-content: space-between;*/
    justify-content: center;
    align-items: center;
    text-decoration: none;
    margin-bottom: 0.625rem;
}
.civro-language-switcher-language:last-of-type{
    margin-bottom: 0;
}
.civro-language-switcher-language-icon{
    height: 1.5625rem;
    /*display: flex;*/
    display: none;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.civro-language-switcher-language-icon-img{
    height: 1.5625rem;
    object-fit: contain;
}
.civro-language-switcher-language-title{
    font-size: 1.125rem;
    font-weight: 400;

    color: #444444;
}

/* 产品搜索弹窗 */
.product-search-dialog-container{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background-color: #ffffff;
    z-index: 999;
}
.product-search-dialog-content{
    margin-top: 30vh;
    position: relative;
}
.product-search-dialog-content-actions{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}
.product-search-dialog-content-action{
    width: 1.875rem;
    height: 1.875rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.product-search-dialog-content-action-icon{
    width: 1.875rem;
    height: 1.875rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.product-search-dialog-content-action-icon-img{
    width: 1.875rem;
    height: 1.875rem;
    object-fit: contain;
    filter: grayscale(100%);
}
.product-search-dialog-content-action:hover .product-search-dialog-content-action-icon-img{
    filter: grayscale(0%);
}
.product-search-dialog-content-header{
    width: 100%;
    padding-top: 1.875rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.product-search-dialog-content-header-title{
    width: 100%;
    text-align: left;
    font-size: 1.875rem;

    color: #444444;
}
.product-search-dialog-input-bar{
    margin-top: 1.25rem;
    padding: 1.875rem 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: #CCCCCC solid 1px;
}
.product-search-dialog-input-wrap{
    width: calc(100% - 3.125rem);
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}
.product-search-dialog-input{
    width: 100%;
    height: 1.875rem;
    line-height: 1.875rem;
    text-align: left;
    border: none;
    outline: none;
}
.product-search-dialog-actions{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}
.product-search-dialog-action{
    width: 1.875rem;
    height: 1.875rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.product-search-dialog-action-icon{
    width: 1.875rem;
    height: 1.875rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.product-search-dialog-action-icon-img{
    width: 1.875rem;
    height: 1.875rem;
    object-fit: contain;
    filter: grayscale(100%);
}
.product-search-dialog-action:hover .product-search-dialog-action-icon-img{
    filter: grayscale(0%);
}

/* 材质介绍视频 */
.material-video-container{
    width: 100%;
    height: 56.25rem;
    position: relative;
    border-radius: 1.25rem;
    overflow: hidden;
}
.material-video-container-bg{
    width: 100%;
    height: 56.25rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.material-video-container-bg-video-wrap{
    width: 100%;
    height: 56.25rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.material-video-container-bg-video{
    width: 100%;
    height: 56.25rem;
    object-fit: cover;
}
.material-video-container-content-wrap{
    width: 100%;
    height: 56.25rem;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.2);
    display: none;
}
.material-video-container:hover .material-video-container-content-wrap{
    display: block;
}
.material-video-container-content{
    height: calc(56.25rem - 16.25rem);
    padding: 8.125rem 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
}
.material-video-title{
    width: 100%;
    text-align: center;
    font-size: 6.25rem;
    font-weight: 500;

    color: #ffffff;
}
.material-video-description{
    width: 100%;
    padding-top: 3.4375rem;
    text-align: center;
    font-size: 1.25rem;
    font-weight: 400;

    color: #ffffff;
    padding-bottom: 10rem;
}
.material-video-footer{
    width: 100%;
}
.material-video-footer-video-actions{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    padding: 2.375rem 0;
}
.material-video-footer-video-action{
    width: 3.125rem;
    height: 3.125rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-right: 1.5625rem;
    cursor: pointer;
}
.material-video-footer-video-action:last-of-type{
    margin-right: 0;
}
.material-video-footer-video-action-icon{
    width: 3.125rem;
    height: 3.125rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.material-video-footer-video-action-icon-img{
    width: 3.125rem;
    height: 3.125rem;
    object-fit: contain;
    display: block;
}
.material-video-footer-video-action-icon-img:last-of-type{
    display: none;
}
.material-video-footer-video-action-active .material-video-footer-video-action-icon .material-video-footer-video-action-icon-img:last-of-type{
    display: block;
}
.material-video-footer-video-action-active .material-video-footer-video-action-icon .material-video-footer-video-action-icon-img:first-of-type{
    display: none;
}
.material-video-footer-progress-bar-wrap{
    width: 100%;
}
.material-video-footer-progress-bar{
    width: 100%;
    height: 0.25rem;
    background-color: #ffffff;
}
.material-video-footer-progress-bar-active{
    height: 0.25rem;
    background-color: #c40d23;
}

/* 材质分层图 */
.material-level-poster-container{
    width: 100%;
    margin-top: 6.25rem;
}
.material-level-poster{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.material-level-poster-img{
    width: 100%;
    object-fit: contain;
    border-radius: 1.25rem;
}

/* 展会精彩瞬间 */
.exhibition-exciting-moments-container{
    width: 100%;
    padding-bottom: 11.875rem;
}
.exhibition-exciting-moments-container-header{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}
.exhibition-exciting-moments-container-header-title{
    width: 100%;
    text-align: center;
    font-size: 2.1875rem;
    color: #444444;
    font-weight: 400;
}
.exhibition-exciting-moments-container-body{
    width: 100%;
    padding-top: 4.0625rem;
}
.exhibition-exciting-moments-desc-swiper-wrap{
    width: 100%;
}
.exhibition-exciting-moments-desc-swiper{
    width: 100%;
}
.exhibition-exciting-moments-desc-swiper .swiper-slide{
    width: 23.4375rem;
}
.exhibition-exciting-moments-desc{
    width: 100%;
    user-select: none;
}
.exhibition-exciting-moments-desc-poster{
    width: 100%;
    height: 23.4375rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 1.25rem;
    overflow: hidden;
}
.exhibition-exciting-moments-desc-poster-img{
    width: 100%;
    height: 23.4375rem;
    object-fit: cover;
}